

#its-gp-contentWrapper {
    padding: 10px 0 0 0;
    position: absolute;
    width: 100%;
    height: calc(100% - 70px);
}

#its-gp-contentWrapper > div {
    width: 80%;
    height: 100%;
    overflow: hidden;
    margin: 0 0 0 12em;
    max-width: 110em;
    -webkit-border-radius: 0.8em;
    -moz-border-radius: 0.8em;
    border-radius: 0.8em;
    background-color: rgba(10,10,10, 0.88);
}

#its-gp-contentWrapper a {
    color: #cacbd0;
    text-decoration: none;
    line-height: 1.7em;
}

.flex-item {
    float: left;
    width: 20%;
}

#its-gp-contentInnerWrapperTop {
    height: 2.3em;
    padding: 0.2em;
}


#its-gp-contentInnerWrapperMain {
    height: calc(100% - 4.6em);
    width: 100%;
    margin-top: 0.8em;
}



/*===================================================== section ===================================================================*/

/* top navigation including breadcrumb and icons for special functions */

.its-gp-navigationWrapper {
    padding: 0.3em;
    position: relative;
}

.its-gp-navigationWrapper .its-gp-backToRootBtn {
    line-height: 1.9em;
}

.its-gp-navigationWrapper .its-gp-backToRootBtn a {
    background: url("../assets/gp/red-up-arrow.png") no-repeat right;
    background-size: contain;
    padding: 0 1.2em 0 0.5em;
}

.its-gp-navigationWrapper #its-gp-albumTitle {
    width: 60%;
    text-align: center;
    line-height: 1.9em;
    padding: 0;
    color: #cacbd0;
}

#its-gp-actionsBtnWrapper {
    text-align: right;
    line-height: 30px;
    height: 30px;
    width: 138px;
    position: absolute;
    right: 8px;
    top: 4px;
    visibility: hidden;
}

#its-gp-actionsBtnWrapper.gpShowActionsWrapper {
    visibility: visible;
}

#its-gp-actionsBtnWrapper a:hover, .its-gp-navigationWrapper .its-gp-actionsBtnWrapper a:active {
    opacity: 1;
}

#its-gp-actionsBtnWrapper > div.jb-bb-button {
    width: 22px;
    height:22px;
    font-size: 22px;
    color: #b7baba;
    float:right;
    line-height: 25px;
    margin: 0 0 0 8px;
    border:2px solid rgba(27, 27, 27, 0.1);
}

#its-gp-hideImageInfoButton {
    box-shadow: 0 0 20px rgba(0,0,0,0.3);
    border-radius: 16px;
    transition-property: border, box-shadow;
    transition-duration: 2.9s;
    transition-timing-function: ease-in-out;
 }

#its-gp-hideImageInfoButton.showShadow {
    box-shadow: 0 0 20px rgba(255, 246, 77, 1);
    border:2px solid yellow !important;
    color: #fcffa8 !important;
}


.its-gp-actionsMailIcon {
    background: url("../assets/gp/actions-icons.png") no-repeat left top;
}

.its-gp-actionsInfoIcon {
    background: url("../assets/gp/actions-icons.png") no-repeat left center;
}

.its-gp-actionsFullscreenIcon {
    background: url("../assets/gp/actions-icons.png") no-repeat left bottom;
    margin: 0 0.9em 0 0 !important;
}

.its-gp-navigationWrapper hr {
    border: 0;
    height: 1px;
    width: 100%;
    background-image: -webkit-linear-gradient(left, rgba(201,40,33,0.3), rgba(207,42,45,0.99), rgba(201,40,33,0.3));
    background-image: -moz-linear-gradient(left, rgba(201,40,33,0.3), rgba(207,42,45,0.99), rgba(201,40,33,0.3));
    background: linear-gradient(to right, rgba(201,40,33,0.3), rgba(207,42,45,0.99), rgba(201,40,33,0.3));
    background-image: -o-linear-gradient(left, rgba(201,40,33,0.3), rgba(207,42,45,0.99), rgba(201,40,33,0.3));
    clear: both;
}


/* ------------------------------------------------------------------------------------------------------
    styles of the image and it's metadata that displayed as single image view
------------------------------------------------------------------------------------------------------ */

#its-gp-mainContentContainer {
    height: 100%;
    overflow: hidden;
}



/* ------------------------------------------------------------------------------------------------------
    styles of the category tiles including the containing wrapper
------------------------------------------------------------------------------------------------------ */

#its-gp-categoryWrapper {
    height: 103%;
    overflow: hidden;
}

#its-gp-categoryWrapper-fadeOut {
    height: 44px;
    position: absolute;
    bottom: 0;
    background: linear-gradient(to bottom, transparent, rgba(17, 17, 17, 0.2), rgba(17, 17, 17, 0.5), rgba(17, 17, 17, 0.85), rgba(17, 17, 17, 0.99));
    background-image: -o-linear-gradient(0deg, transparent, rgba(17, 17, 17, 0.2), rgba(17, 17, 17, 0.5), rgba(17, 17, 17, 0.85), rgba(17, 17, 17, 0.99));
    filter: progid:DXImageTransform.Microsoft.gradient(GradientType=1,startColorstr='#555555', endColorstr='#333333');
    z-index: 100000;
    width: 80%;
    max-width: 110em;

    -webkit-border-radius: 0 0.8em 0.8em;
    -moz-border-radius: 0 0.8em 0.8em;
}


#its-gp-categoryOverviewContainer {
    padding: 0;
    position: relative;
    height: 100%;
    margin-bottom: 30px;
}

.its-gp-categoryBox {
    width: 17em;
    height: 19em;
    margin: 1em;
    background-color: rgba(0, 0, 0, 0.6);
    float: left;
    overflow: hidden;
    box-shadow: 1px 2px 4px rgba(0, 0, 0, .5);
    -webkit-border-radius: 0.6em 0.6em 0.6em 0.6em;
    -moz-border-radius: 0.6em 0.6em 0.6em 0.6em;
    border-radius: 0.6em 0.6em 0.6em 0.6em;
}

.its-gp-categoryBox .its-gp-categoryBox-img {
    height: 11.5em;
    background-size: cover;
}

.its-gp-categoryBox h3 {
    text-align: center;
    color: rgba(240, 240, 240, 0.7);
    font-family: Arial, sans-serif;
    font-weight: normal;
    font-size: 1.15em;
    margin: 0;
    padding: 0.9em 0.4em 0.2em 0.4em;
}

.its-gp-categoryBox p {
    text-align: center;
    color: rgba(244, 180, 175, 0.48);
    font-family: Arial, sans-serif;
    font-weight: normal;
    font-size: 1.0em;
    margin: 5px;
    padding: 5px;
}

#its-gp-singleImageWrapper {
    min-height: 1px;
    padding: 0 1em;
    position: relative;
}


div.jb-caption-desc > p {
    color: #f0f0f0;
}
div.jb-caption-desc > p.its-gp-captionDescription {
    font-size: 1em;
    line-height: 1.1em;
    padding: 0 0 10px 0;
    color: #f7f0f5;
}

div.jb-caption-desc > p.its-gp-captionKeywords, div.jb-caption-desc > p.its-gp-captionExif {
    font-size: 0.9em;
    line-height: 1.1em;
    padding: 2px 0 2px 0;
}

div.jb-caption-desc > p.its-gp-captionKeywords b, div.jb-caption-desc > p.its-gp-captionExif b {
    color: #f7f0f5;
}


/* ------------------------------------------------------------------------------------------------------
    media queries to optimize view for mobile devices
------------------------------------------------------------------------------------------------------ */

@media only screen and ( max-width: 75em ) { /* 1200px */

    #its-gp-contentWrapper > div {
        width: 88%;
        margin: 0 6%;
    }
}

/* small monitors like netbook's */
@media only screen and ( max-width: 59em ) {

    #its-gp-contentWrapper > div {
        width: 94%;
        margin: 0 3%;
    }
}


/* typical mobile devices */
@media only screen and ( max-width: 53em ) {

    body.its-main-background {
        background-size:auto;
        width:100%;
    }

    #its-gp-contentWrapper {
        padding: 10px 0 0 0;
        height: calc(100% - 54px - 2em);
    }

    #its-gp-contentWrapper > div {
        left:0;
        right:0;
        bottom:4px;
        top:45px;
        max-width:100%;
        width:100%;
        background: none !important;
        margin: 0;
        overflow: visible;
    }

    #its-gp-imageNavBar {
        height: 5em;
    }

    #its-gp-contentInnerWrapperMain {
        height: 100%;
        margin: 0;
    }

    .jspVerticalBar {
        top: calc(54px + 2.3em);
    }

    #its-gp-singleImageWrapper {
        padding: 1px;
    }

    #its-gp-albumTitle span {
        display: none;
    }

    .hideMobile {
        display: none;
    }

    #its-gp-categoryWrapper-fadeOut {
        display: none;
    }
}


@media only screen and ( max-width: 50em ) {

    #its-gp-showFullScreenButton {
        display: none;
    }
}



@media only screen and ( max-width: 500px ) {

    .jb-idx-thb-list .jb-idx-thumb {
        opacity: 1;
    }


}
